Fix checks for curl/mktemp/growpart presence

This commit is contained in:
fnux 2020-01-23 17:35:46 +01:00
parent fe94128209
commit a7bcf34432
1 changed files with 3 additions and 3 deletions

View File

@ -65,12 +65,12 @@ deploy_ssh_authorized_keys () {
return return
fi fi
if [ ! -x "$(command -v curl)" ]; then if ! command -v curl; then
echo "Could not find or execute curl. Exiting." >&2 echo "Could not find or execute curl. Exiting." >&2
exit 1 exit 1
fi fi
if [ ! -x "$(command -v mktemp)" ]; then if ! command -v mktemp; then
echo "Could not find or execute mktemp. Exiting." >&2 echo "Could not find or execute mktemp. Exiting." >&2
exit 1 exit 1
fi fi
@ -89,7 +89,7 @@ deploy_ssh_authorized_keys () {
grow_root_partition () { grow_root_partition () {
growpart_script='uncloud-init-growpart' growpart_script='uncloud-init-growpart'
if [ -x "$(command -v "$growpart_script")" ]; then if command -v "$growpart_script"; then
# TODO: this command seems quite fragile... # TODO: this command seems quite fragile...
# sh growpart -q /dev/vda 3 > /dev/null; # sh growpart -q /dev/vda 3 > /dev/null;
true # no-op true # no-op